Bug 62650 - USB KVM switch won't share USB
USB KVM switch won't share USB
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-04-03 14:26 EST by ajs
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-04 05:43:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ajs 2002-04-03 14:26:08 EST
Description of Problem:
When using a USB KVM switch to share a USB mouse and USB keyboard between a
desktop using RH 7.2 and a laptop running skipjack, all USB devices on the
desktop disappear and can't be enticed back.

When both were running enigma, everything worked.

Version-Release number of selected component (if applicable):


How Reproducible:

Steps to Reproduce:
1. Install enigma on one machine
2. Install skipjack on the other
3. Use KVM switch to change to the skipjack machine
4. Switch back to the enigma machine

Actual Results:
No more USB devices on the enigma machine.  The two root hubs are there, but
that's it.

Expected Results:

Additional Information:
  KVM Switch:
     Hawking CS-102U
     Vendor Id: 0451
     Product Id: 1446
Comment 1 Arjan van de Ven 2002-04-04 05:43:45 EST
Can you try the 2.4.18-0.12 kernel on both ?
There's supposed to be fixes for certain (broken) KVM's in that.
Comment 2 ajs 2002-04-04 14:33:55 EST
That fixed things.  Works both when using the enigma kernel and the new kernel
on the desktop machine.

Note You need to log in before you can comment on or make changes to this bug.